<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class Machine extends Model
{
    use SoftDeletes;

    protected $fillable = [
        'plant_id',
		'line_id',
        'work_group_master_id',
		'name',
        'work_center',
    ];

    public function plant(): BelongsTo
    {
        return $this->belongsTo(Plant::class);
    }

	public function line(): BelongsTo
    {
        return $this->belongsTo(Line::class);
    }

    public function workGroupMaster(): BelongsTo
    {
        return $this->belongsTo(WorkGroupMaster::class);
    }

    public function testingPanelReadings()
    {
        return $this->hasMany(TestingPanelReading::class);
    }

    public function equipmentMasters()
    {
        return $this->hasMany(EquipmentMaster::class, 'machine_id', 'id');
    }

}
